org.apache.cassandra.db

## Interface LegacyLayout.LegacyAtom

All Known Implementing Classes:
  LegacyLayout.LegacyCell, LegacyLayout.LegacyRangeTombstone

Enclosing class:
  LegacyLayout

    public static interface LegacyLayout.LegacyAtom

### Method Summary

All Methods Instance Methods Abstract Methods
`LegacyLayout.LegacyCell` `asCell()`
`LegacyLayout.LegacyRangeTombstone` `asRangeTombstone()`
`ClusteringPrefix` `clustering()`
`boolean` `isCell()`
`boolean` `isStatic()`

### Method Detail

#### isCell

    boolean isCell()

#### clustering

    ClusteringPrefix clustering()

#### isStatic

    boolean isStatic()

#### asCell

    LegacyLayout.LegacyCell asCell()

#### asRangeTombstone

    LegacyLayout.LegacyRangeTombstone asRangeTombstone()